%define lib_major 2

%define lib_name %mklibname art_lgpl %{lib_major}
%define develname %mklibname -d art_lgpl

Summary: Library for high-performance 2D graphics
Name: libart_lgpl
Version: 2.3.20
Release: %mkrel 3
Source0: http://ftp.gnome.org/pub/GNOME/sources/libart_lgpl/%{name}-%{version}.tar.bz2
License: LGPL
URL: http://www.levien.com/libart/
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
This is the LGPL'd component of libart.  Libart is a library for 
high-performance 2D graphics. All functions needed for
running the Gnome canvas, and for printing support, will be going in
here. The GPL'd component will be getting various enhanced functions
for specific applications.

%package -n %{lib_name}
Summary:	%{summary}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{lib_name}
This is the LGPL'd component of libart.  Libart is a library for 
high-performance 2D graphics. All functions needed for
running the Gnome canvas, and for printing support, will be going in
here. The GPL'd component will be getting various enhanced functions
for specific applications.

%package -n %develname
Summary:	%{summary}
Group:		Development/GNOME and GTK+
Provides:	art_lgpl-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d art_lgpl 2
Requires:   pkgconfig >= 0.8
Requires:   %{lib_name} = %{version}-%{release}


%description -n %develname
This is the LGPL'd component of libart.  Libart is a library for 
high-performance 2D graphics. All functions needed for
running the Gnome canvas, and for printing support, will be going in
here. The GPL'd component will be getting various enhanced functions
for specific applications.


%prep
%setup -q

%build


%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
%multiarch_binaries %buildroot%_bindir/*-config
%multiarch_includes %buildroot%_includedir/libart-2.0/libart_lgpl/art_config.h

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libart_lgpl_2.so.%{lib_major}*

%files -n %develname
%defattr(-,root,root)
%{_bindir}/*-config
%{_bindir}/*/libart2-config
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*




%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.3.20-3mdv2009.0
+ Revision: 222501
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.3.20-2mdv2008.1
+ Revision: 170944
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix spacing at top of description

* Wed Jan 30 2008 Götz Waschk <waschk@mandriva.org> 2.3.20-1mdv2008.1
+ Revision: 160181
- new version
- drop patch
- new devel name
- spec file cleanup

* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.3.19-3mdv2008.1
+ Revision: 150451
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- s/Mandrake/Mandriva/

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Mar 01 2007 Götz Waschk <waschk@mandriva.org> 2.3.19-2mdv2007.0
+ Revision: 130304
- fix header for C++

* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 2.3.19-1mdv2007.1
+ Revision: 127077
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.3.18-1mdv2007.1
+ Revision: 125968
- new version

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 2.3.17-5mdv2007.1
+ Revision: 122418
- rebuild

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 2.3.17-4mdv2007.1
+ Revision: 108674
- Import libart_lgpl

* Sun Jan 14 2007 Gtz Waschk <waschk@mandriva.org> 2.3.17-4mdv2007.1
- rebuild

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.3.17-4mdk
- Rebuild

* Sat Jul 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.3.17-3mdk
- fix provides on x86_64

* Mon Jan 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.3.17-2mdk
- multiarch support

* Fri Jan 21 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.3.17-1mdk
- New release 2.3.17

* Sat Jul 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.3.16-2mdk
- spec fixes

